## Run from tf_raycast:start_raycast
scoreboard players add @s[scores={bounce=1}] bounce 1
execute at @s run kill @e[type=arrow,limit=1,sort=nearest,nbt={pickup:1b}]
execute at @s[nbt={SelectedItem:{id:"minecraft:bow",Count:1b,tag:{hurricane:1}}}] run kill @e[type=arrow,limit=4,sort=nearest,nbt={pickup:1b}]

# Using dx for precise hitbox detection
# Parameters:
#     Edit not_mob.json in tags/entities to change which entities will not be targetted
#     Change the "positioned" offsets to change projectile size
#       - If > 1 block, just use one dx detection
execute as @e[tag=!raycasting,type=!#tf_raycast:not_mob,dx=0,type=!player] positioned ~-0.99 ~-0.99 ~-0.99 if entity @s[dx=0] positioned ~0.99 ~0.99 ~0.99 run function zombies:collidebow1

scoreboard players add .distance tf_rc 1

# Make raycast visible
particle dust 0.671 0.969 1.000 1.75 ~ ~ ~ 0.15 0.15 0.15 1 0 normal

# Repeat the raycast if certain conditions are met
# Parameters:
#    (score after "matches") * (accuracy increment) = range
#    The "positioned" value specifies the precision
#    Edit raycast_pass.json in tags/blocks to change which blocks the raycast ignores
#    "rotated" controls arc/curve of raycast path
execute if score .distance tf_rc matches ..1500 positioned ^ ^ ^0.25 rotated ~ ~ unless block ~ ~ ~ #tf_raycast1:raycast_pass run execute anchored eyes positioned ~ ~ ~ rotated ~280 ~ run function zombies:raycastbow1

execute if score .distance tf_rc matches ..1500 positioned ^ ^ ^0.25 rotated ~ ~ if block ~ ~ ~ #tf_raycast1:raycast_pass run function zombies:raycastbow1
